#include <bits/stdc++.h>

using namespace std;

long long a[100007];

int main(){
    long long n;
    cin>>n;
    for(int i=1; i<=n; i++){
        cin>>a[i];
    }
    long long d=0;
    long long d1=0;
    long long cost=0;
    for(int i=n; i>=1; i--){
        if(a[i]==a[i+1]){
            cost+=a[i]-d1;
            d++;
        }
        else{
            d1=d;
            if(a[i]-d<=0) break;
            cost+=a[i]-d1;
            d++;
        }
    }
    cout<<cost;
    return 0;
}
